%global srcname unicode-nazi
%global modname unicodenazi

Name:           python-%{modname}
Version:        1.1
Release:        14%{?dist}
Summary:        Module that finds unicode/bytestring comparisons and other problems

License:        BSD
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source
# License file from the upstream repo.  Submitted a MANIFEST.in upstream to
# automatically include this in the future
Source1:        http://github.com/mitsuhiko/unicode-nazi/raw/master/LICENSE

BuildArch:      noarch
BuildRequires:  python2-devel

%global _description\
A common source of unicode issues in python2 is that code mixes str and unicode\
and is valid for the cases the author tests for (because they only test with\
ASCII) but then throws an error when the code is used with non-ASCII strings.\
\
If enabled unicodenazi will complain when this mixing of unicode and byte str\
occurs.  It's annoying as hell, has a huge runtime impact on performance, and\
will also complain about most of the stuff in the Python standard library.  But\
it will point out some areas of your code that may traceback in python2 when\
given different data and make it easier to migrate to python3 where unicode and\
bytes no longer interoperate.

%description %_description

%package -n python2-%{modname}
Summary: %summary
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}
cp %{SOURCE1} .

%build
%py2_build


%install
%py2_install

 

%files -n python2-%{modname}
%license LICENSE
%doc README
%{python2_sitelib}/*


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1-12
- Python 2 binary package renamed to python2-unicodenazi
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 10 2011 Toshio Kuratomi <toshio@fedoraproject.org> 1.1-2
- Add license file from upstream repo
- Fix a spelling mistake

* Thu Mar 10 2011 Toshio Kuratomi <toshio@fedoraproject.org> 1.1-1
- Initial Fedora packaging
